%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:           nodejs-through
Version:        2.3.8
Release:        2%{?dist}
Summary:        Simplified stream construction for Node.js
License:        MIT or ASL 2.0
Group:          System Environment/Libraries
URL:            https://github.com/dominictarr/through
Source0:        http://registry.npmjs.org/through/-/through-%{version}.tgz
BuildArch:      noarch

%if 0%{?fedora} >= 19
ExclusiveArch:  %{nodejs_arches} noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
BuildRequires:  npm(from)
#BuildRequires:  npm(stream-spec)
%endif

%description
%{summary}.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/through
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/through

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%__nodejs -e "require('./')"
%if 0%{?enable_tests}
# requires npm(stream-spec)
rm test/index.js
tape test/*.js
%endif


%files
%doc readme.markdown
%license LICENSE.APACHE2 LICENSE.MIT
%{nodejs_sitelib}/through


%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Mar  7 2016 Tom Hughes <tom@compton.nu> - 2.3.8-1
- Update to 2.3.8 upstream release
- Enable as many tests as possible

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jul 30 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.3.4-2
- restrict to compatible arches

* Mon May 27 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.3.4-1
- initial package
